# Uses of Interface
org.eclipse.debug.core.model.ISourceLocator

Packages that use ISourceLocator
Package
Description
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.
org.eclipse.debug.core.model
Defines interfaces for debug model elements, source lookup, and launching.
org.eclipse.debug.core.sourcelookup
Provides support for source lookup.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.

## Uses of ISourceLocator in org.eclipse.debug.core

Methods in org.eclipse.debug.core that return ISourceLocator
Modifier and Type
Method
Description
`ISourceLocator`
ILaunch.`getSourceLocator()`
Returns the source locator to use for locating source elements for the debug target associated with this launch, or `null` if source lookup is not supported.
`ISourceLocator`
Launch.`getSourceLocator()`
Methods in org.eclipse.debug.core with parameters of type ISourceLocator
Modifier and Type
Method
Description
`void`
ILaunch.`setSourceLocator(ISourceLocator sourceLocator)`
Sets the source locator to use for locating source elements for the debug target associated with this launch, or `null` if source lookup is not supported.
`void`
Launch.`setSourceLocator(ISourceLocator sourceLocator)`
Constructors in org.eclipse.debug.core with parameters of type ISourceLocator
Modifier
Constructor
Description
``
`Launch(ILaunchConfiguration launchConfiguration, String mode, ISourceLocator locator)`
Constructs a launch with the specified attributes.

## Uses of ISourceLocator in org.eclipse.debug.core.model

Subinterfaces of ISourceLocator in org.eclipse.debug.core.model
Modifier and Type
Interface
Description
`interface`
`IPersistableSourceLocator`
A source locator that can be persisted and restored, to be used with a specific launch configuration.

## Uses of ISourceLocator in org.eclipse.debug.core.sourcelookup

Subinterfaces of ISourceLocator in org.eclipse.debug.core.sourcelookup
Modifier and Type
Interface
Description
`interface`
`IPersistableSourceLocator2`
Extensions to the `IPersistableSourceLocator` interface.
`interface`
`ISourceLookupDirector`
A source lookup director directs the source lookup process among a set of participants and source containers.
Classes in org.eclipse.debug.core.sourcelookup that implement ISourceLocator
Modifier and Type
Class
Description
`class`
`AbstractSourceLookupDirector`
Directs source lookup among a collection of source lookup participants, and a common collection of source containers.

## Uses of ISourceLocator in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type ISourceLocator
Modifier and Type
Method
Description
`static ISourceLookupResult`
DebugUITools.`lookupSource(Object artifact, ISourceLocator locator)`
Performs source lookup on the given artifact and returns the result.